Bug 1123519 - JavaScript syntax error when displaying hosts for organization: Error: Syntax error, unrecognized expression: %22Default_Organization%22'
Summary: JavaScript syntax error when displaying hosts for organization: Error: Syntax...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Ohad Levy
QA Contact: jcallaha
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-25 22:36 UTC by Jan Hutař
Modified: 2017-02-23 21:10 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-12 05:11:43 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1592 normal SHIPPED_LIVE Important: Red Hat Satellite 6.1.1 on RHEL 6 2015-08-12 09:04:35 UTC
Foreman Issue Tracker 6797 None None None 2016-04-22 16:26:52 UTC

Description Jan Hutař 2014-07-25 22:36:18 UTC
Description of problem:
There is a JavaScript syntax error when displaying hosts for organization: "Error: Syntax error, unrecognized expression: %22Default_Organization%22'"


Version-Release number of selected component (if applicable):
Satellite-6.0.4-RHEL-6-20140723.0


How reproducible:
always


Steps to Reproduce:
1. In webUI go to:
   Administration -> Organizations -> click number in column "Hosts"
   ("0" in my case) on row with "Default_Organization"
2. On the page which loads, watch Firefox console for JavaScript error


Actual results:
Error: Syntax error, unrecognized expression: %22Default_Organization%22' application-3445874bf5e8cab38af5fa7b69530376.js:18


Expected results:
No syntax errors


Additional info:
Not sure if this is Katello or Foreman issue

Comment 1 Jan Hutař 2014-07-25 22:44:27 UTC
Same for .../localtions and possibly others places as well.

Comment 3 Dominic Cleal 2014-07-28 11:10:41 UTC
I can't reproduce this, could you provide the full URL from your browser please?

Comment 8 Dominic Cleal 2014-07-28 14:46:33 UTC
Created redmine issue http://projects.theforeman.org/issues/6797 from this bug

Comment 10 Bryan Kearney 2014-08-18 10:04:04 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/6797 has been closed
-------------
Tomer Brisker
Could not reproduce in current dev branch. 
Looks like this was resolved by a previous commit.
Resolving, please re-open and provide more details if this still occurs.

Comment 11 jcallaha 2014-10-17 18:08:00 UTC
*** This bug is verified in upstream.  This fix should eventually land in future downstream builds ***

foreman-release-1.7.0-0.develop.201410150839gitb948163.el6.noarch
foreman-gce-1.7.0-0.develop.201410150839gitb948163.el6.noarch
foreman-selinux-1.7.0-0.develop.201409301113git2f345de.el6.noarch
rubygem-hammer_cli_foreman_tasks-0.0.3-2.201409091410gitc96619d.git.0.37f3704.el6.noarch
qe-foreman-rhel65.usersys.redhat.com-foreman-proxy-1.0-1.noarch
foreman-postgresql-1.7.0-0.develop.201410150839gitb948163.el6.noarch
qe-foreman-rhel65.usersys.redhat.com-qpid-broker-1.0-1.noarch
qe-foreman-rhel65.usersys.redhat.com-qpid-client-cert-1.0-1.noarch
foreman-1.7.0-0.develop.201410150839gitb948163.el6.noarch
foreman-ovirt-1.7.0-0.develop.201410150839gitb948163.el6.noarch
foreman-vmware-1.7.0-0.develop.201410150839gitb948163.el6.noarch
ruby193-rubygem-foreman_hooks-0.3.7-2.el6.noarch
ruby193-rubygem-foreman_discovery-1.4.0-0.1.rc4.el6.noarch
rubygem-hammer_cli_foreman-0.1.3-1.201410151235gitbc8c449.el6.noarch
ruby193-rubygem-foreman_bootdisk-4.0.0-1.el6.noarch
foreman-proxy-1.7.0-0.develop.201410101404git7961640.el6.noarch
qe-foreman-rhel65.usersys.redhat.com-puppet-client-1.0-1.noarch
qe-foreman-rhel65.usersys.redhat.com-foreman-client-1.0-1.noarch
qe-foreman-rhel65.usersys.redhat.com-apache-1.0-1.noarch
qe-foreman-rhel65.usersys.redhat.com-parent-cert-1.0-1.noarch
foreman-compute-1.7.0-0.develop.201410150839gitb948163.el6.noarch
ruby193-rubygem-foreman-tasks-0.6.10-1.el6.noarch
foreman-libvirt-1.7.0-0.develop.201410150839gitb948163.el6.noarch

Comment 12 Bryan Kearney 2015-08-11 13:28:52 UTC
This bug is slated to be released with Satellite 6.1.

Comment 13 errata-xmlrpc 2015-08-12 05:11:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1592


Note You need to log in before you can comment on or make changes to this bug.